
  var quiz = [ {
  "question": "Ποιο από τα παρακάτω αποτελεί μια φάση της διαδικασίας ανάπτυξης ενός συστήματος;",
  "choices": ["Η ανάλυση", "Ο έλεγχος", "Ο σχεδιασμός", "Όλα τα παραπάνω" ],
  "correct": "Όλα τα παραπάνω"
},


{
  "question": "Ο καθορισμός των χρηστών, των απαιτήσεων, και των μεθόδων αποτελεί μέρος της φάσης:",
  "choices": ["Ανάλυσης", "Σχεδιασμού", "Υλοποίησης", "Ελέγχου" ],
  "correct": "Ανάλυσης"
},

{
  "question": "Στη διαδικασία ανάπτυξης συστημάτων, η συγγραφή του κώδικα αποτελεί μέρος της φάσης:",
  "choices": ["Ανάλυσης", "Σχεδιασμού", "Υλοποίησης", "Ελέγχου" ],
  "correct": "Υλοποίησης"
},

{
  "question": "Στη διαδικασία ανάπτυξης συστημάτων, τα διαγράμματα δομής είναι εργαλεία που χρησιμοποιούνται στη φάση:",
  "choices": ["Ανάλυσης", "Σχεδιασμού", "Υλοποίησης", "Ελέγχου" ],
  "correct": "Σχεδιασμού"
},

{
  "question": "Ποια είναι η μοναδική γλώσσα την οποία καταλαβαίνει το υλικό του υπολογιστή;",
  "choices": ["Ο κώδικας μηχανής", "Η συμβολική γλώσσα", "Η γλώσσα υψηλού επιπέδου", "Καμία από τις παραπάνω" ],
  "correct": "Ο κώδικας μηχανής"
},



{
  "question": "Τι γλώσσες είναι οι C, C++, και Java;",
  "choices": ["Γλώσσες μηχανής", "Συμβολικές γλώσσες", "Γλώσσες υψηλού επιπέδου", "Φυσικές γλώσσες" ],
  "correct": "Γλώσσες υψηλού επιπέδου"
},

{
  "question": "Τι είναι ο κώδικας ενός προγράμματος σε κώδικα μηχανής είναι:",
  "choices": ["Μια διαδικασία", "Ένα εκτελέσιμο πρόγραμμα", "Ένα πηγαίο πρόγραμμα", "Τίποτα από τα παραπάνω" ],
  "correct": "Ένα εκτελέσιμο πρόγραμμα"
},

{
  "question": "Τι γλώσσα είναι η FORTRAN;",
  "choices": ["Διαδικαστική", "Συναρτησιακή", "Δηλωτική", "Αντικειμενοστραφής" ],
  "correct": "Διαδικαστική"
},

{
  "question": "Τι γλώσσα είναι η Pascal;",
  "choices": ["Διαδικασιακή", "Συναρτησιακή", "Δηλωτική", "Αντικειμενοστραφής" ],
  "correct": "Διαδικασιακή"
},

{
  "question": "Τι γλώσσα είναι η C++;",
  "choices": ["Διαδικασιακή", "Συναρτησιακή", "Δηλωτική", "Αντικειμενοστραφής" ],
  "correct": "Αντικειμενοστραφής"
},

{
  "question": "Τι γλώσσα είναι η LISP;",
  "choices": ["Διαδικασιακή", "Συναρτησιακή", "Δηλωτική", "Αντικειμενοστραφής" ],
  "correct": "Συναρτησιακή"
},

{
  "question": "Ποια γλώσσα προορίζεται κυρίως για επιχειρηματικές εφαρμογές; ",
  "choices": ["Η FORTRAN", "Η C++", "Η C",  "Η COBOL" ],
  "correct": "Η COBOL"
},

{
  "question": "Ποια από τις παρακάτω είναι η πιο δημοφιλής αντικειμενοστρεφής γλώσσα;",
  "choices": ["FORTRAN", "C++", "C",  "LISP" ],
  "correct": "C++"
},

{
  "question": "Τι γλώσσες είναι οι LISP και Haskel; ",
  "choices": ["Διαδικαστικές", "Συναρτησιακές", "Δηλωτικές",  "Αντικειμενοστρεφείς" ],
  "correct": "Συναρτησιακές"
},

{
  "question": "Η Python είναι ένα παράδειγμα γλώσσας: ",
  "choices": ["Διαδικαστικής", "Συναρτησιακής", "Δηλωτικής",  "Αντικειμενοστραφούς" ],
  "correct": "Αντικειμενοστραφούς"
}


];

  var content = $("content"),
  questionContainer = $("question"),
  choicesContainer = $("choices"),
  scoreContainer = $("score"),
  submitBtn = $("submit");
  nextQuestion = $("button.next_question");

// μεταβλητές
var currentQuestion = 0,
	score = 0,
	askingQuestion = true;
	function $(id) { //αντί για την document.getElementById βάζω τη συνάρτηση για να καλώ αυτήν
	return document.getElementById(id);
}

function askQuestion() {
	var choices = quiz[currentQuestion].choices,
	choicesHtml = "";

  // Loop τις επιλογές και δημιουργία radio buttons για καθεμία
  for (var i = 0; i < choices.length; i++) {
    choicesHtml += "<input type='radio' name='quiz" + currentQuestion +
      "' id='choice" + (i + 1) +
      "' value='" + choices[i] + "'>" +
      " <label for='choice" + (i + 1) + "'>" + choices[i] + "</label><br>";
  }

// Φορτώνω την ερώτηση
  questionContainer.textContent = (currentQuestion + 1) + ". " + quiz[currentQuestion].question;

	console.log(choicesHtml);
  // Φορτώνω τις επιλογές
  choicesContainer.innerHTML = choicesHtml;

  // Πρώτη ερώτηση
  if (currentQuestion === 0) {
    scoreContainer.textContent = "Αποτελέσματα: 0 / " +

      quiz.length ;
    submitBtn.textContent = "Υποβολή απάντησης";
  }
}

function checkAnswer() {
  // έλεγχος αν κάνουμε ερώτηση ή προχωράμε στην επόμενη 
  if (askingQuestion) {
    submitBtn.textContent = "Επόμενη ερώτηση";
    askingQuestion = false;

    // ποιο radio button επιλέχθηκε
    var userpick,
      correctIndex,
      radios = document.getElementsByName("quiz" + currentQuestion);
    for (var i = 0; i < radios.length; i++) {
      if (radios[i].checked) { // εάν επιλέχθηκε αυτό το radio button
        userpick = radios[i].value;
      }

      // Index σωστών απαντήσεων
      if (radios[i].value == quiz[currentQuestion].correct) {
        correctIndex = i;
      }
    }

    //Τι εμφανίζεται αν δόθηκε σωστή ή λάθος απάντηση (χρωματισμός απαντήσεων)
    var labelStyle = document.getElementsByTagName("label")[correctIndex].style;
    labelStyle.fontWeight = "bold";
    if (userpick == quiz[currentQuestion].correct) {
      score++;
      labelStyle.color = "#00b5a5";
    } else {
      labelStyle.color = "#ff5f5f";
    }

    scoreContainer.textContent = "Συνολικά αποτελέσματα: " + " Έχετε απαντήσει " + score + " σωστές απαντήσεις " + "από " + 
      quiz.length + " συνολικές ερωτήσεις.";
  } else { // move to next question
    // setting up so user can ask a question
    askingQuestion = true;
    // change button text back to "Submit Answer"
    submitBtn.textContent = "Υποβολή απάντησης";
    // if we're not on last question, increase question number
    if (currentQuestion < quiz.length - 1) {
      currentQuestion++;
      askQuestion();
    } else {
      showFinalResults();
    }
  }
}
 
function showFinalResults() {
  content.innerHTML = "<h2>Oλοκληρώσατε τις ερωτήσεις αυτοαξιολόγησης!</h2>" +
    "<h2>Παρακάτω βρίσκονται τα αποτελέσματά σας:</h2>" +
    "<h2>" + "Έχετε απαντήσει σωστά σε " + score + " από " + quiz.length + " ερωτήσεις.</h2> " +
    "<h2>" + "Ποσοστό επιτυχίας: " + Math.round(score / quiz.length * 100) + "%<h2>";
}

 window.addEventListener("load", askQuestion, false);
 submitBtn.addEventListener("click", checkAnswer, false);


(function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
(i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
})
(window,document,'script','http://www.google-analytics.com/analytics.js','ga');
ga('create', 'UA-1656750-34', 'jsbin.com');
ga('require', 'linkid', 'linkid.js');
ga('require', 'displayfeatures');
ga('send', 'pageview');